# Dynamic_ParameterA.h File Reference

`#include "ace/config-all.h"`
`#include "tao/AnyTypeCode/TAO_AnyTypeCode_Export.h"`
`#include "tao/AnyTypeCode/Dynamic_ParameterC.h"`

Include dependency graph for Dynamic_ParameterA.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | Dynamic
namespace | TAO

## Defines

#define | TAO_EXPORT_MACRO TAO_AnyTypeCode_Export

## Functions

TAO_AnyTypeCode_Export void | operator<<= (CORBA::Any &, const Dynamic::Parameter &)
TAO_AnyTypeCode_Export void | operator<<= (CORBA::Any &, Dynamic::Parameter *)
TAO_AnyTypeCode_Export CORBA::Boolean | operator>>= (const CORBA::Any &, Dynamic::Parameter *&)
TAO_AnyTypeCode_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const Dynamic::Parameter *&)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_AnyTypeCode_Export

## Function Documentation

TAO_AnyTypeCode_Export void operator<<= | ( | CORBA::Any & | ,
|  | Dynamic::Parameter * |
| ) |

TAO_AnyTypeCode_Export void operator<<= | ( | CORBA::Any & | ,
|  | const Dynamic::Parameter & |
| ) |

TAO_AnyTypeCode_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const Dynamic::Parameter *& |
| ) |

TAO_AnyTypeCode_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | Dynamic::Parameter *& |
| ) |